org.apache.solr.client.solrj.impl

## Class SolrHttpRequestRetryHandler

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpRequestRetryHandler

- All Implemented Interfaces:
    org.apache.http.client.HttpRequestRetryHandler

      public class SolrHttpRequestRetryHandler
      extends Object
      implements org.apache.http.client.HttpRequestRetryHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SolrHttpRequestRetryHandler` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SolrHttpRequestRetryHandler()` Create the request retry handler with a retry count of 3, requestSentRetryEnabled false and using the following list of non-retriable IOException classes: InterruptedIOException UnknownHostException ConnectException SSLException
    `` | `SolrHttpRequestRetryHandler(int retryCount)` Create the request retry handler using the following list of non-retriable IOException classes: InterruptedIOException UnknownHostException ConnectException SSLException
    `protected` | `SolrHttpRequestRetryHandler(int retryCount, Collection<Class<? extends IOException>> clazzes)` Create the request retry handler using the specified IOException classes

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRetryCount()`
    `protected boolean` | `handleAsIdempotent(org.apache.http.client.protocol.HttpClientContext context)`
    `protected boolean` | `requestIsAborted(org.apache.http.HttpRequest request)`
    `boolean` | `retryRequest(IOException exception, int executionCount, org.apache.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final SolrHttpRequestRetryHandler INSTANCE

  - ### Constructor Detail

    - #### SolrHttpRequestRetryHandler

          protected SolrHttpRequestRetryHandler(int retryCount,
                                                Collection<Class<? extends IOException>> clazzes)

      Create the request retry handler using the specified IOException classes
      Parameters:
        `retryCount` - how many times to retry; 0 means no retries true if it's OK to retry requests that have been sent
        `clazzes` - the IOException types that should not be retried

    - #### SolrHttpRequestRetryHandler

          public SolrHttpRequestRetryHandler(int retryCount)

      Create the request retry handler using the following list of non-retriable IOException classes:
      - InterruptedIOException
      - UnknownHostException
      - ConnectException
      - SSLException
      Parameters:
        `retryCount` - how many times to retry; 0 means no retries true if it's OK to retry non-idempotent requests that have been sent

    - #### SolrHttpRequestRetryHandler

          public SolrHttpRequestRetryHandler()

      Create the request retry handler with a retry count of 3, requestSentRetryEnabled false and using the following list of non-retriable IOException classes:
      - InterruptedIOException
      - UnknownHostException
      - ConnectException
      - SSLException

  - ### Method Detail

    - #### retryRequest

          public boolean retryRequest(IOException exception,
                                      int executionCount,
                                      org.apache.http.protocol.HttpContext context)

      Specified by:
        `retryRequest` in interface `org.apache.http.client.HttpRequestRetryHandler`

    - #### getRetryCount

          public int getRetryCount()

    - #### handleAsIdempotent

          protected boolean handleAsIdempotent(org.apache.http.client.protocol.HttpClientContext context)

    - #### requestIsAborted

          protected boolean requestIsAborted(org.apache.http.HttpRequest request)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.